Can anyone provide a correct link? 3 replies

Please wait...

Roarthealmighty

GF is my bext friend *hugs GF*

50 XP

21st February 2004

0 Uploads

1,635 Posts

0 Threads

#1 15 years ago

for me to Empires: Dawn of the modern world patch 1.1.6437? Please? I can't seem to find it anywhere. thanks.




Ensign Riles Advanced Member

No! I'm Spamacus!

426,537 XP

17th June 2003

0 Uploads

39,480 Posts

1 Threads

#2 15 years ago

You can get all the patches here. 1.1 doesn't seem to exist, and there appears to be more up to date patches than that anyway.




Roarthealmighty

GF is my bext friend *hugs GF*

50 XP

21st February 2004

0 Uploads

1,635 Posts

0 Threads

#3 15 years ago

hm, because i had just bought this game. I am trying to make sure it plays on the internet before I call a friend to play. It brings up some gamespy notice thingy saying that I need to update Empires:DMW to 1.1.6437. So i went to look for the latest patch, and i found 1.3 or what ever is the latest, and i downloaded it, I installed, but it still says i need that update. I dunno whether I installed wrong or not. Is there a certain place that your supposed to install your patches? some odd reason sometimes games work with out them installed in a specific location...




Roarthealmighty

GF is my bext friend *hugs GF*

50 XP

21st February 2004

0 Uploads

1,635 Posts

0 Threads

#4 15 years ago

NEVERMIND! I HAVE, FIGURED IT OUT! i am king of the world...... lol. I was lookin at the wrong patch... quite sad..... shoot me now.